Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.premiumdomain
Class EPPPremiumDomainCheckResult

    java.lang.Object
      com.verisign.epp.codec.premiumdomain.EPPPremiumDomainCheckResult

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPPremiumDomainCheckResult

extends java.lang.Object
implements EPPCodecComponent

`EPPPremiumDomainCheckResult` represents the result of an individual premium domain name check. The attributes of EPPPremiumDomainCheckResult include the domain name and a boolean value indicating if the domain name is premium. The `domain price` must be set before invoking `encode` if the isPremium flag is set to `true`.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ELM_NAME` XML tag name of `EPPPremiumDomainCheckResult` root element
`static java.lang.String` | `PRICE_UNIT_USD` The constant value for USD

Constructor Summary
`EPPPremiumDomainCheckResult()` Create an `EPPPremiumDomainCheckResp` instance
`EPPPremiumDomainCheckResult(java.lang.String aName, boolean aIsPremium)` Create a `EPPPremiumDomainCheckResp` instance that will set the attribute.

Method Summary
`java.lang.Object` | `clone()` Clone `EPPPremiumDomainCheckResp`.
`void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPPremiumDomainCheckResp` attributes from the `aElement` DOM Element tree.
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPPremiumDomainCheckResp` instance.
`boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPPremiumDomainCheckResp` with this instance.
`java.lang.String` | `getName()` Gets the domain name associated with the result.
`java.math.BigDecimal` | `getPrice()`
`java.lang.String` | `getPriceUnit()`
`java.math.BigDecimal` | `getRenewalPrice()`
`boolean` | `isPremium()`
`void` | `setIsPremium(boolean aIsPremium)`
`void` | `setName(java.lang.String aName)` Sets the domain name associated with the result.
`void` | `setPrice(java.math.BigDecimal aPrice)`
`void` | `setPriceUnit(java.lang.String aPriceUnit)`
`void` | `setRenewalPrice(java.math.BigDecimal aRenewalPrice)`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PRICE_UNIT_USD

    public static final java.lang.String PRICE_UNIT_USD

  The constant value for USD

  See Also:
    Constant Field Values

### ELM_NAME

    public static final java.lang.String ELM_NAME

  XML tag name of `EPPPremiumDomainCheckResult` root element

  See Also:
    Constant Field Values

Constructor Detail

### EPPPremiumDomainCheckResult

    public EPPPremiumDomainCheckResult()

  Create an `EPPPremiumDomainCheckResp` instance

### EPPPremiumDomainCheckResult

    public EPPPremiumDomainCheckResult(java.lang.String aName,
                                       boolean aIsPremium)

  Create a `EPPPremiumDomainCheckResp` instance that will set the attribute.

  Parameters:
    `aIsPremium` - isPremium flag

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPPremiumDomainCheckResp`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of `EPPPremiumDomainCheckResp`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Encode a DOM Element tree from the attributes of the `EPPPremiumDomainCheckResp` instance.

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - DOM Document that is being built
  Returns:
    Element Root DOM Element representing the `EPPPremiumDomainCheckResp` instance.
  Throws:
    `EPPEncodeException`

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Decode the `EPPPremiumDomainCheckResp` attributes from the `aElement` DOM Element tree.

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - Root DOM Element to decode `EPPPremiumDomainCheckResp` from.
  Throws:
    `EPPDecodeException` - Unable to decode `aElement`

### equals

    public boolean equals(java.lang.Object aObject)

  Compare an instance of `EPPPremiumDomainCheckResp` with this instance.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `aObject` - Object to compare with.
  Returns:
    true if equal false otherwise

### getName

    public java.lang.String getName()

  Gets the domain name associated with the result.

  Returns:
    Domain name associated with the result if defined; `null` otherwise.

### setName

    public void setName(java.lang.String aName)

  Sets the domain name associated with the result.

  Parameters:
    `aName` - Domain Name associated with the result.

### isPremium

    public boolean isPremium()

  Returns:
    the isPremium flag

### setIsPremium

    public void setIsPremium(boolean aIsPremium)

  Parameters:
    `aIsPremium` - the isPremium to set

### getPrice

    public java.math.BigDecimal getPrice()

  Returns:
    the price

### setPrice

    public void setPrice(java.math.BigDecimal aPrice)

  Parameters:
    `aPrice` - the price to set

### getRenewalPrice

    public java.math.BigDecimal getRenewalPrice()

  Returns:
    the renewalPrice

### setRenewalPrice

    public void setRenewalPrice(java.math.BigDecimal aRenewalPrice)

  Parameters:
    `aRenewalPrice` - the renewalPrice to set

### getPriceUnit

    public java.lang.String getPriceUnit()

  Returns:
    Unit associated with the price; `null` otherwise.

### setPriceUnit

    public void setPriceUnit(java.lang.String aPriceUnit)

  Parameters:
    `aPriceUnit` - Unit associated with the price.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.